Subject: Re: linux-next: build failure after merge of the kvm-arm tree

From: Oliver Upton <[email-masked]>
Date: Thu, 5 Oct 2023 01:53:17 +0000

Hi Stephen,

On Thu, Oct 05, 2023 at 12:31:59PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kvm-arm tree, today's linux-next build (native perf)
> failed like this:
> 
> In file included from util/../../arch/arm64/include/asm/cputype.h:201,
>                  from util/arm-spe.c:37:
> tools/arch/arm64/include/asm/sysreg.h:132:10: fatal error: asm/sysreg-defs.h: No such file or directory
>   132 | #include "asm/sysreg-defs.h"
>       |          ^~~~~~~~~~~~~~~~~~~

Gah, shame on me, I didn't build everything in tools/ after this change.

> Caused by commit
> 
>   6a4c6c6a56c1 ("KVM: arm64: selftests: Import automatic generation of sysreg defs")
> 
> I have used the kvm-arm tree from next-20231004 for today.

Thanks much, I'll back this out from the kvmarm side of things until we
get it sorted.

-- 
Thanks,
Oliver